Skip to main content
GET
/
transfer
/
deposit-addresses
List Deposit Addresses
curl --request GET \
  --url https://api.paxos.com/v2/transfer/deposit-addresses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/transfer/deposit-addresses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/transfer/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "34bd61ed-cf0a-4012-8be4-d347667b6154",
      "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
      "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339",
      "identity_id": "54385e67-d7ef-40d1-b488-ceda6dd9b264",
      "ref_id": "deposit_address_0",
      "crypto_network": "ETHEREUM",
      "address": "0x89205A3A3b2A69De6Dbf7f01ED13B2108B2c43e7",
      "conversion_target_asset": "USD",
      "compatible_crypto_networks": [
        "ETHEREUM"
      ],
      "metadata": {
        "my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
      },
      "created_at": "2020-01-17T18:36:08.737Z"
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
transfer:read_deposit_address

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_ids
string[]

Optionally filter by the profile IDs associated with the deposit addresses. Limit 100.

identity_ids
string[]

Optionally filter by the Identities associated with the deposit addresses. Limit 100.

ids
string[]

Optionally filter by the UUIDs of the deposit addresses. Limit 100.

ref_ids
string[]

The client-specified IDs provided during transfer creation. Limit 100.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered.

Available options:
CREATED_AT
page_cursor
string

Optional: Cursor for getting the next page of results.

account_ids
string[]

Optionally filter by the Accounts associated with the deposit address. Limit 100.

networks
enum<string>[]

Optionally filter by the networks of the deposit addresses. Limit 100.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string